#!/bin/bash
#
#
#
BASE_DIR="/home/burghard/sip"
echo "Basedir    : ${BASE_DIR}"

#
#
#
SIP_DIR="${BASE_DIR}/sip"
echo "Sip-dir    : ${SIP_DIR}"


#
#
#
SIPSRC_DIR="${SIP_DIR}/src"
SIPSRC_SUB="Messages Host Proxy"
echo "SipSrc-Dir : ${SIPSRC_DIR}"

echo -n "-> building SIP-Includedir "
for includedir in $SIPSRC_SUB; do
	echo -n "."
	SIP_INCLUDES=$SIP_INCLUDES\ -I$SIPSRC_DIR/$includedir
	SIP_OBJECTS=$SIP_OBJECTS\ $SIPSRC_DIR/$includedir
done
echo "done."
# echo "$SIP_INCLUDES"


#
#
#
NETWORKS="simpleNet"
NETWORKS_DIR="${SIP_DIR}/Networks"





###
#   set this to the absolute! path to your ip-suite installation
###
IP_SUITE_DIR="/home/burghard/sip/ip-suite"
IP_SUITE_SUBDIRS="Interface Socket UDP IPNode IPProcessing QoS MAC_LLC ControlApps"


###
#   set this to the absolute! path to your rtp-suite installation
###
RTP_DIR="/home/burghard/sip/rtp/rtp"

PROFILES_DIR=$RTP_DIR/Profiles
PROFILES="AVProfile"

for includedir in $PROFILES; do PROFILE_INCLUDES=$PROFILE_INCLUDES\ -I$PROFILES_DIR/$includedir; done
for linkdir in $PROFILES; do PROFILE_OBJECTS=$PROFILE_OBJECTS\ $PROFILES_DIR/$linkdir; done

SIP_INCLUDES="$SIP_INCLUDES -I$RTP_DIR -I$PROFILE_INCLUDES"
SIP_OBJECTS="$SIP_OBJECTS $RTP_DIR $PROFILE_OBJECTS"



# for specialdir in $SPECIAL_NETWORK_DIRS; do cd $NETWORKS_DIR/$specialdir; make -f Makefile.first; done

echo -n "-> building IP-Suite-Includedir "
for includedir in $IP_SUITE_SUBDIRS; do
	echo -n "."
	IP_SUITE_INCLUDES=$IP_SUITE_INCLUDES\ -I$IP_SUITE_DIR/$includedir
done
echo "done."


echo -n "-> building IP-Suite-Linkdir "
for linkdir in $IP_SUITE_SUBDIRS; do 
	echo -n "."
	IP_SUITE_OBJECTS=$IP_SUITE_OBJECTS\ $IP_SUITE_DIR/$linkdir
done
echo "done."
# for includedir in $PROFILES; do PROFILE_INCLUDES=$PROFILE_INCLUDES\ -I$PROFILES_DIR/$includedir; done
# for linkdir in $PROFILES; do PROFILE_OBJECTS=$PROFILE_OBJECTS\ $PROFILES_DIR/$linkdir; done


cd $SIP_DIR
opp_makemake -n -f $IP_SUITE_INCLUDES $SIP_INCLUDES


for subdir in $SIPSRC_SUB; do
	echo "Entering $subdir"
	cd $SIPSRC_DIR/$subdir
	opp_makemake -n -f $SIP_INCLUDES $IP_SUITE_INCLUDES
	echo "Leaving $subdir"
done



# for profiledir in $PROFILES; do cd $PROFILES_DIR/$profiledir; opp_makemake -n -f $IP_SUITE_INCLUDES -I$RTP_DIR; done  
for networkdir in $NETWORKS; do
	echo "Entering $networkdir"
	cd $NETWORKS_DIR/$networkdir
	opp_makemake -f $SIP_INCLUDES $IP_SUITE_INCLUDES $SIP_OBJECTS $IP_SUITE_OBJECTS
	echo "Leaving $networkdir"
done
