/*!
	\file sipInnerPacket.cc
	\author jAN bURGHARD
*/

#include "sipInnerPacket.h"

// constructors
sipInnerPacket::sipInnerPacket(const char* name = "sipInnerPacket")
	: cMessage(name)
{
	_init();
};

//
sipInnerPacket::sipInnerPacket(const sipMessageType type) 
	: cMessage("sipInnerPacket")
{
	_init();
	_type = type;
};

// copy constructor
sipInnerPacket::sipInnerPacket( const sipInnerPacket& sIfPkt ) 
	: cMessage()
{
	setName ( sIfPkt.name() );
	operator=( sIfPkt );
};

// private function
void sipInnerPacket::_init()
{
	_type = MT_UNDEF;
	setKind( MK_SIPINNERPACKET );
};


// assignment operator
sipInnerPacket& sipInnerPacket::operator=(const sipInnerPacket& sIfPkt)
{
	cMessage::operator=(sIfPkt);

	return *this;
};

// output functions
void sipInnerPacket::info( char *buf )
{
	cMessage::info( buf );
        sprintf(buf + strlen(buf), " MSG-type=%d", _type);
};

void sipInnerPacket::writeContents(ostream& os)
{
	os << "sipInnerPacket: type" << _type << endl;
};

//
sipInnerPacket::sipMessageType sipInnerPacket::msgType() {
	return _type;
};
