/*!
	\file	sipMessageBody.h
	\author	jAN bURGHARD
	\version 0.2
*/
#ifndef __SIPMESSAGEBODY_H
#define __SIPMESSAGEBODY_H


//! SIP-MessageBody
/*!
\class sipMessageBody sipMessageBody.h
\author Jan Burghard

represents a body of a SIP-Message
*/
class sipMessageBody {

private:
	//! stored the body's length
	int _length;
	
	//! initialization method
	void _init();
	
public:
	//! default constructor
	sipMessageBody();
	
	//! default destructor
	~sipMessageBody();
	
	//! assignement-operator
	sipMessageBody& operator=(const sipMessageBody& b);

	//! clears the body
	void clear();


	/*
		Get - Methods
	*/
	//! returns length of body
	int getContentLength() const;
	
	
protected:
	/* RTP - values */
	//! to carry a rtp-portnumber
	int _rtpPort;
	
public:
	//! set a rtp-portnumber
	void setRtpPort(int port);
	//! return the rtp-port
	int getRtpPort() const;
};

#endif
