/*!
	\file	sipRequestHeader.cc
	\author	jAN bURGHARD
	\version 0.2
*/

#include "sipRequestHeader.h"


// default constructor
sipRequestHeader::sipRequestHeader()
	: sipHeader()
{
	_subject = NULL;
};

// copy constructor
sipRequestHeader::sipRequestHeader(const sipRequestHeader& h)
	: sipHeader()
{
	operator=( h );
};

// destructor
sipRequestHeader::~sipRequestHeader() {
	delete _subject;
};

// = operator
sipRequestHeader& sipRequestHeader::operator=(const sipRequestHeader& h)
{
	sipHeader::operator=( h );
	_subject = opp_strdup( h._subject );

	return *this;
};



/*
	Set - methods
*/
void sipRequestHeader::setSubject(char *s) {
	_subject = opp_strdup( s );
};




/*
	Get - methods
*/
char *sipRequestHeader::getSubject() const {
	return _subject;
};
