/*!
	\file	sipRequestHeader.h
	\author	jAN bURGHARD
	\version 0.2
*/
#ifndef __SIPREQUESTHEADER_H
#define __SIPREQUESTHEADER_H


#include "sipHeader.h"

//! SIP-RequestHeader
/*!
	\class sipRequestHeader sipRequestHeader.h
	\author Jan Burghard
	
	Extends basic sipHeader
*/
class sipRequestHeader : public sipHeader {

private:
	/*! value of Subject-field                                          */
	char *_subject;
	
public:
	/*! 
	default constructor
	*/
	sipRequestHeader();
	
	/*!
	copy constructor
	*/
	sipRequestHeader(const sipRequestHeader& h);
	
	/*!
	destructor
	*/
	~sipRequestHeader();
	
	/*!
	assignement operator
	*/
	sipRequestHeader& operator=(const sipRequestHeader& h);
	
	// --------------
	// set - Methoden
	// --------------
	/*! set Subject-value                                               */
	void setSubject(char *s);
	
	// --------------
	// get - Methoden
	// --------------
	/*! returns Subject-value                                           */
	char *getSubject() const;
};






#endif
