/*!
	\file	simpleRouting.cc
	\author	jAN bURGHARD
	\version 0.1
	
*/
#include "simpleRouting.h"

simpleRouting::simpleRouting() { 
	_port = 5060;
};


char *simpleRouting::nextHopIp(const char *ip) {
	int remote[4];
	
	_splitIp(ip, remote);

	// find best matching local ip	
	int best = 0;
	for (unsigned int i = 0; i < _localIp.size(); i++) {
		if ( _localIp[i].cmp(remote) > best ) {
			best = _localIp[i].cmp(remote);
		}
	}
	
	if ( best == 0 ) {
		remote[1] = 0;
		remote[2] = 0;
		remote[3] = 1;
	}
	else if ( best == 1 ) {
		remote[2] = 0;
		remote[3] = 1;
	}
	else if ( best == 2 ) {
		remote[3] = 1;
	}

	char buf[16] = "";
	sprintf( buf, "%d.%d.%d.%d", remote[0], remote[1], remote[2], remote[3]);
	return opp_strdup( buf );
};


int simpleRouting::nextHopPort(const char *ip) {
	return _port;
};


void simpleRouting::_splitIp(const char *ip, int digits[4]) {
	char *s = opp_strdup( ip );

	char tmp[3];
	int i, j = 0;

	while ( opp_strcmp(s, "") != 0 && j < 4) {
		opp_strcpy(tmp, "   ");
		i = strcspn(s, ".");
		strncpy( tmp, s, i );
		digits[j++] = atoi( tmp );
		s = s + i + 1;
	}	
};


void simpleRouting::addLocalIp(const char *ip) {
	simpleRouting::quartet buf;
	_splitIp( ip, buf.digit );
	
	_localIp.push_back( buf );
};


void simpleRouting::setLocalPort(int port) {
	_port = port;
};


bool simpleRouting::isInLocals(const char *ip) {
	int testIp[4];
	_splitIp( ip, testIp );
	
	for(unsigned int i = 0; i < _localIp.size(); i++) {
		if ( _localIp[i].cmp(testIp) ) {
			return true;
		}
	}
	return false;
};
